VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "ActiveVB - Wird DLL-Funktion exportiert?"
   ClientHeight    =   1335
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   5235
   LinkTopic       =   "Form1"
   ScaleHeight     =   1335
   ScaleWidth      =   5235
   StartUpPosition =   3  'Windows-Standard
   Begin VB.CommandButton Command1 
      Caption         =   "Command1"
      Height          =   495
      Left            =   60
      TabIndex        =   4
      Top             =   780
      Width           =   2415
   End
   Begin VB.TextBox Text2 
      Height          =   255
      Left            =   1380
      TabIndex        =   1
      Text            =   "SetLayeredWindowAttributes"
      Top             =   420
      Width           =   3795
   End
   Begin VB.TextBox Text1 
      Height          =   255
      Left            =   1380
      TabIndex        =   0
      Text            =   "user32"
      Top             =   60
      Width           =   3795
   End
   Begin VB.Label Label2 
      Caption         =   "Funktionsname:"
      Height          =   195
      Left            =   60
      TabIndex        =   3
      Top             =   420
      Width           =   1275
   End
   Begin VB.Label Label1 
      Caption         =   "DLL Name/Pfad:"
      Height          =   195
      Left            =   60
      TabIndex        =   2
      Top             =   120
      Width           =   1275
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Declare Function GetModuleHandle Lib "kernel32" _
                         Alias "GetModuleHandleA" ( _
                         ByVal lpModuleName As String) As Long
                         
Private Declare Function LoadLibrary Lib "kernel32" _
                         Alias "LoadLibraryA" ( _
                         ByVal lpLibFileName As String) As Long
                         
Private Declare Function GetProcAddress Lib "kernel32" ( _
                         ByVal hModule As Long, _
                         ByVal lpProcName As String) As Long
                         
Private Declare Function FreeLibrary Lib "kernel32" ( _
                         ByVal hLibModule As Long) As Long
                         
Private Sub Command1_Click()
    If IsFunctionExported(Text2.Text, Text1.Text) Then
        MsgBox ":)" & vbCrLf & "Die Funktion wird von der DLL untersttzt!"
    Else
        MsgBox ":(" & vbCrLf & "Diese Funktion wird von der DLL leider nicht untersttzt!"
    End If
End Sub

' Diese Funktion berprft, ob die angegebene Function von einer DLL exportiert wird.
Private Function IsFunctionExported(ByVal sFunction As String, ByVal sModule As String) _
    As Boolean
    
    Dim hMod As Long, Loaded As Boolean
    
    ' Handle der DLL erhalten
    hMod = GetModuleHandle(sModule)
    
    If hMod = 0 Then ' Falls DLL nicht registriert ...
        hMod = LoadLibrary(sModule) ' DLL in den Speicher laden.
        If hMod Then Loaded = True
    End If
    
    If hMod Then
        If GetProcAddress(hMod, sFunction) Then IsFunctionExported = True
    End If
    
    If Loaded Then Call FreeLibrary(hMod)
End Function

